from RPi import  GPIO


class PWM_led:
    def __init__(self, pin):
        self.pin = pin


    def __initGPIO(self):
        GPIO.setmode(GPIO.BCM)
        GPIO.setup(self.pin, GPIO.OUT)

    def start_frequency(self, frequentie):
        self.__initGPIO()
        self.pwm = GPIO.PWM(self.pin, frequentie)

    def start_pwm(self, dutycycle):
        self.pwm.start(dutycycle)

    def change_dutycycle(self, dutycycle):
        self.pwm.ChangeDutyCycle(dutycycle)

    def change_frequency(self, frequentie):
        self.pwm.ChangeFrequency(frequentie)

    def stop_pwm(self):
        self.pwm.stop()